/***************************************************************************
**
**  This file is part of matfiles.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2010-07-22
**  Authors:
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#include "MatlabVariableName.h"

/*!
  \class MatlabVariableName MatlabVariableName.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

REGISTER_METADATA(MatlabVariableName)

QStringList MatlabVariableName::subNames() const
{
  QStringList names;
  names << xmlMatlabVariableNameTag;
  return names;
}

QString MatlabVariableName::name(int, const QString&) const
{
  return xmlMatlabVariableNameTag;
}

QString MatlabVariableName::baseName(int) const
{
  return xmlMatlabVariableNameTag;
}

QString MatlabVariableName::title(int, const QString&) const
{
  return tr("Matlab variable name");
}
